Assertions.BaseAssertion (Apache Ant API)

Package org.apache.tools.ant.types

## Class Assertions.BaseAssertion

- java.lang.Object
- - org.apache.tools.ant.types.Assertions.BaseAssertion

- Direct Known Subclasses:
    `Assertions.DisabledAssertion`, `Assertions.EnabledAssertion`
  Enclosing class:
    Assertions

      public abstract static class Assertions.BaseAssertion
      extends java.lang.Object

  base class for our assertion elements.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseAssertion()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getClassName()` | what is the class name?
    `abstract java.lang.String` | `getCommandPrefix()` | get the prefix used to begin the command; -ea or -da.
    `protected java.lang.String` | `getPackageName()` | what is the package name?
    `void` | `setClass​(java.lang.String className)` | name a class
    `void` | `setPackage​(java.lang.String packageName)` | name a package
    `java.lang.String` | `toCommand()` | create a full command string from this class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseAssertion

          public BaseAssertion()

  - ### Method Detail

    - #### setClass

          public void setClass​(java.lang.String className)

      name a class
      Parameters:
        `className` - a class name

    - #### setPackage

          public void setPackage​(java.lang.String packageName)

      name a package
      Parameters:
        `packageName` - a package name

    - #### getClassName

          protected java.lang.String getClassName()

      what is the class name?
      Returns:
        classname or null
      See Also:
        `setClass(java.lang.String)`

    - #### getPackageName

          protected java.lang.String getPackageName()

      what is the package name?
      Returns:
        package name or null
      See Also:
        `setPackage(java.lang.String)`

    - #### getCommandPrefix

          public abstract java.lang.String getCommandPrefix()

      get the prefix used to begin the command; -ea or -da.
      Returns:
        prefix

    - #### toCommand

          public java.lang.String toCommand()

      create a full command string from this class
      Returns:
        The command string
      Throws:
        `BuildException` - in case of trouble